curl --request POST \
--url https://api.stage.localpayment.com/api/account/wire-in \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'request={"transactionType":"WireIn","currency":"BOB","country":"BOL","amount":100,"comment":"Comment","externalId":"a11h7890-78ju-098j-hu78-124ftn8lo0io","accountNumber":"{{accountNumber}}","to":{"name":"Bankname","swift":"BCBHDOSD","address":"BankAddress","accountNumber":"1310825187","accountName":"BeneficiaryBankName","beneficiaryAddress":"BeneficiaryAddress"},"from":{"name":"OrderingBankName","swift":"BICAARBS","address":"OrderingBankAddress","accountNumber":"123456789","routingNumber":null,"accountName":"accountName","beneficiaryAddress":"BeneficiaryAddress","intermediaryBankName":null,"intermediaryBankSwift":null,"intermediaryAccountNumer":null}}' \
--form filecontent=@example-fileimport requests
url = "https://api.stage.localpayment.com/api/account/wire-in"
files = { "filecontent": ("example-file", open("example-file", "rb")) }
payload = { "request": "{\"transactionType\":\"WireIn\",\"currency\":\"BOB\",\"country\":\"BOL\",\"amount\":100,\"comment\":\"Comment\",\"externalId\":\"a11h7890-78ju-098j-hu78-124ftn8lo0io\",\"accountNumber\":\"{{accountNumber}}\",\"to\":{\"name\":\"Bankname\",\"swift\":\"BCBHDOSD\",\"address\":\"BankAddress\",\"accountNumber\":\"1310825187\",\"accountName\":\"BeneficiaryBankName\",\"beneficiaryAddress\":\"BeneficiaryAddress\"},\"from\":{\"name\":\"OrderingBankName\",\"swift\":\"BICAARBS\",\"address\":\"OrderingBankAddress\",\"accountNumber\":\"123456789\",\"routingNumber\":null,\"accountName\":\"accountName\",\"beneficiaryAddress\":\"BeneficiaryAddress\",\"intermediaryBankName\":null,\"intermediaryBankSwift\":null,\"intermediaryAccountNumer\":null}}" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('request', '{"transactionType":"WireIn","currency":"BOB","country":"BOL","amount":100,"comment":"Comment","externalId":"a11h7890-78ju-098j-hu78-124ftn8lo0io","accountNumber":"{{accountNumber}}","to":{"name":"Bankname","swift":"BCBHDOSD","address":"BankAddress","accountNumber":"1310825187","accountName":"BeneficiaryBankName","beneficiaryAddress":"BeneficiaryAddress"},"from":{"name":"OrderingBankName","swift":"BICAARBS","address":"OrderingBankAddress","accountNumber":"123456789","routingNumber":null,"accountName":"accountName","beneficiaryAddress":"BeneficiaryAddress","intermediaryBankName":null,"intermediaryBankSwift":null,"intermediaryAccountNumer":null}}');
form.append('filecontent', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.stage.localpayment.com/api/account/wire-in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/account/wire-in",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"request\"\r\n\r\n{\"transactionType\":\"WireIn\",\"currency\":\"BOB\",\"country\":\"BOL\",\"amount\":100,\"comment\":\"Comment\",\"externalId\":\"a11h7890-78ju-098j-hu78-124ftn8lo0io\",\"accountNumber\":\"{{accountNumber}}\",\"to\":{\"name\":\"Bankname\",\"swift\":\"BCBHDOSD\",\"address\":\"BankAddress\",\"accountNumber\":\"1310825187\",\"accountName\":\"BeneficiaryBankName\",\"beneficiaryAddress\":\"BeneficiaryAddress\"},\"from\":{\"name\":\"OrderingBankName\",\"swift\":\"BICAARBS\",\"address\":\"OrderingBankAddress\",\"accountNumber\":\"123456789\",\"routingNumber\":null,\"accountName\":\"accountName\",\"beneficiaryAddress\":\"BeneficiaryAddress\",\"intermediaryBankName\":null,\"intermediaryBankSwift\":null,\"intermediaryAccountNumer\":null}}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"filecontent\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/account/wire-in"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"request\"\r\n\r\n{\"transactionType\":\"WireIn\",\"currency\":\"BOB\",\"country\":\"BOL\",\"amount\":100,\"comment\":\"Comment\",\"externalId\":\"a11h7890-78ju-098j-hu78-124ftn8lo0io\",\"accountNumber\":\"{{accountNumber}}\",\"to\":{\"name\":\"Bankname\",\"swift\":\"BCBHDOSD\",\"address\":\"BankAddress\",\"accountNumber\":\"1310825187\",\"accountName\":\"BeneficiaryBankName\",\"beneficiaryAddress\":\"BeneficiaryAddress\"},\"from\":{\"name\":\"OrderingBankName\",\"swift\":\"BICAARBS\",\"address\":\"OrderingBankAddress\",\"accountNumber\":\"123456789\",\"routingNumber\":null,\"accountName\":\"accountName\",\"beneficiaryAddress\":\"BeneficiaryAddress\",\"intermediaryBankName\":null,\"intermediaryBankSwift\":null,\"intermediaryAccountNumer\":null}}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"filecontent\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.stage.localpayment.com/api/account/wire-in")
.header("Authorization", "Bearer <token>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"request\"\r\n\r\n{\"transactionType\":\"WireIn\",\"currency\":\"BOB\",\"country\":\"BOL\",\"amount\":100,\"comment\":\"Comment\",\"externalId\":\"a11h7890-78ju-098j-hu78-124ftn8lo0io\",\"accountNumber\":\"{{accountNumber}}\",\"to\":{\"name\":\"Bankname\",\"swift\":\"BCBHDOSD\",\"address\":\"BankAddress\",\"accountNumber\":\"1310825187\",\"accountName\":\"BeneficiaryBankName\",\"beneficiaryAddress\":\"BeneficiaryAddress\"},\"from\":{\"name\":\"OrderingBankName\",\"swift\":\"BICAARBS\",\"address\":\"OrderingBankAddress\",\"accountNumber\":\"123456789\",\"routingNumber\":null,\"accountName\":\"accountName\",\"beneficiaryAddress\":\"BeneficiaryAddress\",\"intermediaryBankName\":null,\"intermediaryBankSwift\":null,\"intermediaryAccountNumer\":null}}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"filecontent\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/account/wire-in")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"request\"\r\n\r\n{\"transactionType\":\"WireIn\",\"currency\":\"BOB\",\"country\":\"BOL\",\"amount\":100,\"comment\":\"Comment\",\"externalId\":\"a11h7890-78ju-098j-hu78-124ftn8lo0io\",\"accountNumber\":\"{{accountNumber}}\",\"to\":{\"name\":\"Bankname\",\"swift\":\"BCBHDOSD\",\"address\":\"BankAddress\",\"accountNumber\":\"1310825187\",\"accountName\":\"BeneficiaryBankName\",\"beneficiaryAddress\":\"BeneficiaryAddress\"},\"from\":{\"name\":\"OrderingBankName\",\"swift\":\"BICAARBS\",\"address\":\"OrderingBankAddress\",\"accountNumber\":\"123456789\",\"routingNumber\":null,\"accountName\":\"accountName\",\"beneficiaryAddress\":\"BeneficiaryAddress\",\"intermediaryBankName\":null,\"intermediaryBankSwift\":null,\"intermediaryAccountNumer\":null}}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"filecontent\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_bodyCrear Wire In
curl --request POST \
--url https://api.stage.localpayment.com/api/account/wire-in \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'request={"transactionType":"WireIn","currency":"BOB","country":"BOL","amount":100,"comment":"Comment","externalId":"a11h7890-78ju-098j-hu78-124ftn8lo0io","accountNumber":"{{accountNumber}}","to":{"name":"Bankname","swift":"BCBHDOSD","address":"BankAddress","accountNumber":"1310825187","accountName":"BeneficiaryBankName","beneficiaryAddress":"BeneficiaryAddress"},"from":{"name":"OrderingBankName","swift":"BICAARBS","address":"OrderingBankAddress","accountNumber":"123456789","routingNumber":null,"accountName":"accountName","beneficiaryAddress":"BeneficiaryAddress","intermediaryBankName":null,"intermediaryBankSwift":null,"intermediaryAccountNumer":null}}' \
--form filecontent=@example-fileimport requests
url = "https://api.stage.localpayment.com/api/account/wire-in"
files = { "filecontent": ("example-file", open("example-file", "rb")) }
payload = { "request": "{\"transactionType\":\"WireIn\",\"currency\":\"BOB\",\"country\":\"BOL\",\"amount\":100,\"comment\":\"Comment\",\"externalId\":\"a11h7890-78ju-098j-hu78-124ftn8lo0io\",\"accountNumber\":\"{{accountNumber}}\",\"to\":{\"name\":\"Bankname\",\"swift\":\"BCBHDOSD\",\"address\":\"BankAddress\",\"accountNumber\":\"1310825187\",\"accountName\":\"BeneficiaryBankName\",\"beneficiaryAddress\":\"BeneficiaryAddress\"},\"from\":{\"name\":\"OrderingBankName\",\"swift\":\"BICAARBS\",\"address\":\"OrderingBankAddress\",\"accountNumber\":\"123456789\",\"routingNumber\":null,\"accountName\":\"accountName\",\"beneficiaryAddress\":\"BeneficiaryAddress\",\"intermediaryBankName\":null,\"intermediaryBankSwift\":null,\"intermediaryAccountNumer\":null}}" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('request', '{"transactionType":"WireIn","currency":"BOB","country":"BOL","amount":100,"comment":"Comment","externalId":"a11h7890-78ju-098j-hu78-124ftn8lo0io","accountNumber":"{{accountNumber}}","to":{"name":"Bankname","swift":"BCBHDOSD","address":"BankAddress","accountNumber":"1310825187","accountName":"BeneficiaryBankName","beneficiaryAddress":"BeneficiaryAddress"},"from":{"name":"OrderingBankName","swift":"BICAARBS","address":"OrderingBankAddress","accountNumber":"123456789","routingNumber":null,"accountName":"accountName","beneficiaryAddress":"BeneficiaryAddress","intermediaryBankName":null,"intermediaryBankSwift":null,"intermediaryAccountNumer":null}}');
form.append('filecontent', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.stage.localpayment.com/api/account/wire-in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/account/wire-in",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"request\"\r\n\r\n{\"transactionType\":\"WireIn\",\"currency\":\"BOB\",\"country\":\"BOL\",\"amount\":100,\"comment\":\"Comment\",\"externalId\":\"a11h7890-78ju-098j-hu78-124ftn8lo0io\",\"accountNumber\":\"{{accountNumber}}\",\"to\":{\"name\":\"Bankname\",\"swift\":\"BCBHDOSD\",\"address\":\"BankAddress\",\"accountNumber\":\"1310825187\",\"accountName\":\"BeneficiaryBankName\",\"beneficiaryAddress\":\"BeneficiaryAddress\"},\"from\":{\"name\":\"OrderingBankName\",\"swift\":\"BICAARBS\",\"address\":\"OrderingBankAddress\",\"accountNumber\":\"123456789\",\"routingNumber\":null,\"accountName\":\"accountName\",\"beneficiaryAddress\":\"BeneficiaryAddress\",\"intermediaryBankName\":null,\"intermediaryBankSwift\":null,\"intermediaryAccountNumer\":null}}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"filecontent\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/account/wire-in"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"request\"\r\n\r\n{\"transactionType\":\"WireIn\",\"currency\":\"BOB\",\"country\":\"BOL\",\"amount\":100,\"comment\":\"Comment\",\"externalId\":\"a11h7890-78ju-098j-hu78-124ftn8lo0io\",\"accountNumber\":\"{{accountNumber}}\",\"to\":{\"name\":\"Bankname\",\"swift\":\"BCBHDOSD\",\"address\":\"BankAddress\",\"accountNumber\":\"1310825187\",\"accountName\":\"BeneficiaryBankName\",\"beneficiaryAddress\":\"BeneficiaryAddress\"},\"from\":{\"name\":\"OrderingBankName\",\"swift\":\"BICAARBS\",\"address\":\"OrderingBankAddress\",\"accountNumber\":\"123456789\",\"routingNumber\":null,\"accountName\":\"accountName\",\"beneficiaryAddress\":\"BeneficiaryAddress\",\"intermediaryBankName\":null,\"intermediaryBankSwift\":null,\"intermediaryAccountNumer\":null}}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"filecontent\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.stage.localpayment.com/api/account/wire-in")
.header("Authorization", "Bearer <token>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"request\"\r\n\r\n{\"transactionType\":\"WireIn\",\"currency\":\"BOB\",\"country\":\"BOL\",\"amount\":100,\"comment\":\"Comment\",\"externalId\":\"a11h7890-78ju-098j-hu78-124ftn8lo0io\",\"accountNumber\":\"{{accountNumber}}\",\"to\":{\"name\":\"Bankname\",\"swift\":\"BCBHDOSD\",\"address\":\"BankAddress\",\"accountNumber\":\"1310825187\",\"accountName\":\"BeneficiaryBankName\",\"beneficiaryAddress\":\"BeneficiaryAddress\"},\"from\":{\"name\":\"OrderingBankName\",\"swift\":\"BICAARBS\",\"address\":\"OrderingBankAddress\",\"accountNumber\":\"123456789\",\"routingNumber\":null,\"accountName\":\"accountName\",\"beneficiaryAddress\":\"BeneficiaryAddress\",\"intermediaryBankName\":null,\"intermediaryBankSwift\":null,\"intermediaryAccountNumer\":null}}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"filecontent\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/account/wire-in")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"request\"\r\n\r\n{\"transactionType\":\"WireIn\",\"currency\":\"BOB\",\"country\":\"BOL\",\"amount\":100,\"comment\":\"Comment\",\"externalId\":\"a11h7890-78ju-098j-hu78-124ftn8lo0io\",\"accountNumber\":\"{{accountNumber}}\",\"to\":{\"name\":\"Bankname\",\"swift\":\"BCBHDOSD\",\"address\":\"BankAddress\",\"accountNumber\":\"1310825187\",\"accountName\":\"BeneficiaryBankName\",\"beneficiaryAddress\":\"BeneficiaryAddress\"},\"from\":{\"name\":\"OrderingBankName\",\"swift\":\"BICAARBS\",\"address\":\"OrderingBankAddress\",\"accountNumber\":\"123456789\",\"routingNumber\":null,\"accountName\":\"accountName\",\"beneficiaryAddress\":\"BeneficiaryAddress\",\"intermediaryBankName\":null,\"intermediaryBankSwift\":null,\"intermediaryAccountNumer\":null}}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"filecontent\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_bodyinternalId único para dar seguimiento a la transacción. Utiliza este identificador para monitorear la transferencia hasta que los fondos se acrediten correctamente en tu cuenta.
Autorizaciones
Encabezados
Token de acceso Bearer para la autenticación. Este token se obtiene de los endpoints Get Access Token o Refresh Access Token.
Cuerpo
| Nombre | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| transactionType | String | Obligatorio | Tipo de transacción (WireIn). |
| currency | String | Obligatorio | Códigos de moneda. |
| country | String | Obligatorio | País del documento. ISO 3166-1 alfa-3. |
| amount | String | Obligatorio | Importe de la transacción. |
| comment | String | Opcional | Un comentario o descripción adicional asociado a la transacción. |
| externalId | String | Obligatorio | Un identificador único generado por tu sistema para rastrear la transacción (alfanumérico y guiones). Recomendamos usar UUID4 para garantizar la unicidad. |
| accountNumber | String | Obligatorio | Número de cuenta de Localpayment. |
| to | Object | Obligatorio | Datos del beneficiario. |
| to.name | String | Obligatorio | Nombre del beneficiario. |
| to.swift | String | Obligatorio | Código de identificación bancaria más utilizado para realizar transferencias internacionales de dinero. |
| to.address | String | Obligatorio | Dirección del banco. |
| to.accountNumber | String | Obligatorio | Número de cuenta de Localpayment. |
| to.accountName | String | Obligatorio | Nombre del titular del beneficiario. |
| to.beneficiaryAddress | String | Obligatorio | Dirección del titular de la cuenta. |
| from | Object | Obligatorio | Datos del banco ordenante. |
| from.name | String | Obligatorio | Nombre del banco ordenante. |
| from.swift | String | Obligatorio | Código de identificación del banco ordenante para realizar transferencias internacionales de dinero. |
| from.address | String | Obligatorio | Dirección del banco ordenante. |
| from.accountNumber | String | Obligatorio | Número de cuenta de Localpayment. |
| from.routingNumber | String | Opcional | Código identificador de transacción para indicar las entidades bancarias de origen y destino de las transferencias en Estados Unidos. |
| from.accountName | String | Obligatorio | El nombre asociado a la cuenta bancaria ordenante. |
| from.beneficiaryAddress | String | Obligatorio | La dirección de la parte ordenante. |
| intermediaryAccountNumber | String | Opcional | El número de cuenta en el banco intermediario (si lo hay) |
| intermediaryBankSwift | String | Opcional | El código SWIFT del banco intermediario (si lo hay). |
| intermediaryBankName | String | Opcional | El nombre del banco intermediario (si lo hay). |
"{\"transactionType\":\"WireIn\",\"currency\":\"BOB\",\"country\":\"BOL\",\"amount\":100,\"comment\":\"Comment\",\"externalId\":\"a11h7890-78ju-098j-hu78-124ftn8lo0io\",\"accountNumber\":\"{{accountNumber}}\",\"to\":{\"name\":\"Bankname\",\"swift\":\"BCBHDOSD\",\"address\":\"BankAddress\",\"accountNumber\":\"1310825187\",\"accountName\":\"BeneficiaryBankName\",\"beneficiaryAddress\":\"BeneficiaryAddress\"},\"from\":{\"name\":\"OrderingBankName\",\"swift\":\"BICAARBS\",\"address\":\"OrderingBankAddress\",\"accountNumber\":\"123456789\",\"routingNumber\":null,\"accountName\":\"accountName\",\"beneficiaryAddress\":\"BeneficiaryAddress\",\"intermediaryBankName\":null,\"intermediaryBankSwift\":null,\"intermediaryAccountNumer\":null}}"
Respuesta
OK
País del documento. ISO 3166-1 alfa-3.
ARG, BOL, BRA, CHL, COL, CRI, DOM, ECU, SLV, GTM, HND, MEX, PAN, PRY, PER, URY ARS, BOB, BRL, CLP, COP, CRC, DOP, USD, GTQ, MXN, PYG, PEN, UYU 
